package jp.agentec.sinaburocast.action.user;

import jp.agentec.sinaburocast.action.AbstractAction;
import jp.agentec.sinaburocast.common.annotation.NoLogin;
import jp.agentec.sinaburocast.form.user.TopForm;
import jp.agentec.sinaburocast.service.TestService;

import org.apache.log4j.Logger;
import org.seasar.struts.annotation.ActionForm;
import org.seasar.struts.annotation.Execute;

@NoLogin
public class TopAction extends AbstractAction {
	private final Logger logger = Logger.getLogger(getClass());

	public TestService testService;

	@ActionForm
	public TopForm topForm;
//	public TestServiceTest testServiceTest;

	@Execute(validator = false)
	public String aboutHtml() {

		return "/user/top/about.html";
	}

	@Execute(validator = false)
	public String howtoHtml() {

		return "/user/top/howto.html";
	}

    @Execute(validator = false)
	public String ruleHtml() {

		if (topForm.qPage == null){
			return "/user/top/rule.html";
		}else{
			return "/user/top/rule" + topForm.qPage + ".html";
		}
	}

    @Execute(validator = false)
	public String ruleHtmlSp() {

		return "/user/regist/registRule.html";
	}

	@Execute(validator = false)
	public String login() {
		return "login.html";
	}

	@Execute(validator = false)
	public String askHtml() {

		return "/user/top/ask.html";
	}

	@Execute(validator = false)
	public String passwordMailSendEnd() {
		return "myPage/passwordMailSendEnd.html";
	}

	@Execute(validator = false)
	public String userRegist2() {

		return "userRegist.html";
	}

	@Execute(validator = false)
	public String privacyHtml() {

		return "/user/top/privacy.html";
	}

	@Execute(validator = false)
	public String pointm() {

		return "/user/top/pointm.html";
	}
	
	@Execute(validator = false)
	public String faqHtml() {

		return "/user/top/faq.html";
	}

}
