package jp.agentec.sinaburocast.entity;

import java.sql.Timestamp;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(name="t_password_mail_send")
public class PasswordMailSend extends AbstractEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id	
	@Column(name = "password_mail_send_id")
	public Integer passwordMailSendId;

	@Column(name = "member_id")
	public Integer memberId;

	@Temporal(TemporalType.DATE)
	@Column(name = "expired_date")
	public Timestamp expiredDate;

	@Column(name = "onetime_ticket")
	public String onetimeTicket;

    @ManyToOne
    @JoinColumn(name = "member_id", referencedColumnName = "member_id")
	public Member member;
    
    @Column(name = "mail_type")
	public Integer mailType;

}
