package jp.agentec.sinaburocast.cache;

import javax.annotation.Resource;

import jp.agentec.sinaburocast.entity.Test;
import junit.framework.TestSuite;

import org.seasar.dao.unit.S2DaoTestCase;

public class TestCacheTest extends S2DaoTestCase {

	@Resource
	private TestCache testCache;

	public TestCacheTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("TestCacheTest");
		suite.addTest(new TestCacheTest("testFindTest"));
		return suite;
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Override
	public void setUp() throws Exception {
		super.setUp();
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Override
	public void tearDown() throws Exception {
		super.tearDown();
	}

	public void testFindTest() {
		Test test = testCache.find(1);
		System.out.println(test);
		System.out.println(testCache.find(1));
		testCache.remove(1);
		System.out.println(testCache.find(1));
		System.out.println(testCache.find(1));
		testCache.removeAll();
		System.out.println(testCache.find(1));
		System.out.println(testCache.find(1));
	}

}
