package jp.agentec.sinaburocast.service;

import java.util.Arrays;

import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class MemberMigrationInfoRegistServiceTest extends S2DaoTestCase {

	MemberMigrationInfoRegist2Service memberMigrationInfoRegist2Service;
	
	public MemberMigrationInfoRegistServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("MemberMigrationInfoRegistServiceTest");
		suite.addTest(new MemberMigrationInfoRegistServiceTest("pointRecovery"));
		return suite;
	}


	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
		
	}
	
	public void pointRecovery(){
		// ポイント有効期限計算対象※手動入力
		Integer[] checkApplyDateMemberId = {1889,
											1920,
											1928,
											2123,
											2124,
											2160,
											2205,
											2746,
											2748,
											2773,
											2860,
											3148,
											3377,
											3425,
											3580,
											3693,
											3729,
											3836,
											3873,
											3934,
											4075,
											4129,
											4418,
											4439,
											4895,
											4978,
											5495,
											5575,
											5766,
											5901,
											5914,
											5949,
											6192,
											6266,
											6401,
											6517,
											6519,
											6652};
		memberMigrationInfoRegist2Service.pointRecovery(Arrays.asList(checkApplyDateMemberId));
	}
}