package jp.agentec.sinaburocast.form.admin.enquete;

import java.util.ArrayList;

import jp.agentec.sinaburocast.entity.GiftExchange;
import jp.agentec.sinaburocast.form.admin.setting.PagingForm;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;

/**
 * ポイント交換申請検索Form
 *
 * @author arakawa
 *
 */
@Component(instance=InstanceType.SESSION)
public class GiftExchangeSearchForm extends PagingForm{

	/** 申請日(From) */
	public String fromDay;

	/** 申請日(To) */
	public String toDay;

	/** 検索結果 */
	public ArrayList<GiftExchange> searchResultList;

	public void resetIndex(){
		fromDay = null;
		toDay = null;
		searchResultList = null;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.SIMPLE_STYLE).toString();
	}
}
